<java:format> | Standard JET2 Java Tags
--- | ---

format

Invokes the Eclipse JDT Code formatter on the tag's content.

The tag content should be well-formed Java - otherwise it will be written out unformatted.

Tag Summary
required | <java:format> content consumed by tag evaluation </java:format>
full tag | <java:format kind="value" project="value"> content consumed by tag evaluation </java:format>

Optional Attributes
kind | A string corresponding to one of these org.eclipse.jdt.core.ToolFactory constants : "K_COMPILATION_UNIT" , "K_CLASS_BODY_DECLARATIONS" , "K_EXPRESSION", "K_STATEMENTS". If missing K_UNKNOWN will be used.
project | The name of a java projects whose settings (like Java source level) should be used for the formatter options. If missing the workspace defaults are used.

Example
| <java:format> content consumed by tag evaluation </java:format>